.article {
  width: 100%;
  min-height: 600px;

  display: flex;
  justify-content: space-between;
  align-items: stretch;

  gap: var(--space-80);

  position: relative;
  z-index: var(--z-index-10);
  margin-bottom: var(--space-120);
}

.article:last-child {
  margin-bottom: 0;
}

.article.reversed {
  flex-direction: row-reverse;
}

.article .article-media-container {
  width: 100%;
  max-width: 760px;
  min-width: 370px;

  position: relative;
}

.article .article-media-container .filter {
  width: 100%;
  height: 100%;
  background: var(--img-filter-grey);

  position: absolute;
}

.article .article-media-container .article-media-image {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

.article .article-media-container .map {
  width: 100%;
  height: 100%;
}

.article .article-text-container {
  max-width: 640px;
  min-width: 370px;
  width: 100%;

  display: flex;
  flex-direction: column;
  align-items: start;
  justify-content: center;
}

.article .headline-2 {
  margin-bottom: var(--space-44);
}

.article .headline-4 {
  margin-bottom: var(--space-24);
}

@media (max-width: 1440px) {
  .article {
    min-height: 550px;
  }
}

@media (max-width: 1240px) {
  .article {
    margin-bottom: var(--space-100);
    min-height: 500px;
  }

  .article:last-child {
    margin-bottom: 0;
  }

  .article .headline-2 {
    margin-bottom: var(--space-32);
  }
}

@media (max-width: 1023px) {
  .article {
    gap: var(--space-24);
    margin-bottom: var(--space-80);
    min-height: 402px;
  }

  .article .article-media-container,
  .article .article-media-container .article-media-image,
  .article .article-media-container .map {
    min-width: auto;
    min-height: 300px;
  }

  .article .article-text-container  {
    min-width: auto;
    min-height: fit-content;
  }


  .article .headline-2 {
    margin-bottom: var(--space-16);
}

}

@media (max-width: 767px) {
  .article {
    margin-bottom: var(--space-56);
  }

  
}

@media (max-width: 700px) {
  .article,
  .article.reversed {
    min-height: fit-content;
    flex-direction: column;

  }

  .article .article-media-container,
  .article .article-media-container .article-media-image,
  .article .article-media-container .map {
    min-height: 300px;
    height: 300px;
  }

  .article .article-text-container {
    max-width: 100% !important;

    min-width: fit-content;
  }

  .article .article-text-container .text-block {
    max-width: 100%;
  }

 

  .article .headline-4 {
    margin-bottom: var(--space-16);
}

}

@media (max-width: 600px) {
  .article .article-media-container,
  .article .article-media-container .article-media-image,
  .article .article-media-container .map {
    max-height: 250px !important;
    min-height: 250px !important;;
    height: 250px !important;;
  }
}
